Package musicbrainz2 :: Module webservice :: Class ReleaseGroupIncludes

[frames] | no frames]

# Class ReleaseGroupIncludes

source code

    object --+
             |
     IIncludes --+
                 |
                ReleaseGroupIncludes

A specification on how much data to return with a release group.

Instance Methods

__init__(self, artist=False, releases=False, tags=False) Constructor. | source code

createIncludeTags(self) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, artist=False, releases=False, tags=False)
(Constructor)

source code

Constructor.

Parameters:
  - `artist` - Whether to include the release group's main artist info.
  - `releases` - Whether to include the release group's releases.
Overrides: object.__init__

### createIncludeTags(self)

source code

Overrides: IIncludes.createIncludeTags